import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class CmsService {

  constructor(private http: HttpClient) { }

  /**
   * 编辑商品类型
   * @param params
   * @param callBack
   */
  public editCms(params: object, callBack:any) {
    this.http.post(environment.baseUrl + 'cms/editCms', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询列表
   * @param params
   * @param callBack
   */
  public getCms(params: object, callBack:any) {
    this.http.get(environment.baseUrl + 'cms/getCms?' + ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 删除
   * @param id
   * @param callBack
   */
  public delete(id: number, callBack:any) {
    this.http.get(environment.baseUrl + 'cms/delete?id=' + id ).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 上下架
   * @param params
   * @param callBack
   */
  public cmsUpDown(params: object, callBack:any) {
    this.http.get(environment.baseUrl + 'cms/cmsUpDown?' + ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }



}
